IBM Support

Linux x86 HSM requirements

Technote (troubleshooting)


Problem(Abstract)

IBM Spectrum Protect™ for Space Management (HSM) requirements for Linux x86

Resolving the problem


Hardware and Software Requirements

In general, all operating system service pack and maintenance levels are supported. Any exceptions are noted in the tables below.

Tip: Beginning with Version 7.1.3, IBM Tivoli Storage Manager is now IBM Spectrum Protect™. Some applications such as the software fulfilment systems and IBM License Metric Tool use the new product name. However, the software and its product documentation continue to use the Tivoli Storage Manager product name. To learn more about the rebranding transition, see http://www.ibm.com/support/docview.wss?uid=swg21963634.

Version 7.1
Hardware
Operating/File System
Communication Protocol
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 11
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
  • beginning with HSM 7.1.1.1: Red Hat Enterprise Linux 7
  • beginning with HSM 7.1.3: SLES 12
Support is including all mod levels and fix packs of the operating systems listed above

Beginning with HSM 7.1.0:
  • GPFS 3.4.0.14 or higher 3.4 levels
  • GPFS 3.5.0 or higher 3.5 levels

Beginning with HSM 7.1.1:
  • GPFS 3.5.0 or higher 3.5 levels
  • GPFS 4.1.0.10 (TL1) or higher 4.1.0 levels

Beginning with HSM 7.1.3:
  • GPFS 3.5.0 or higher 3.5 levels
  • GPFS 4.1.1.1 or higher 4.1.1 levels
Beginning with HSM 7.1.4.4:
  • GPFS 3.5.0 or higher 3.5 levels
  • GPFS 4.1.1.1 or higher 4.1.1 levels
  • GPFS 4.2.0 or higher 4.2.0 levels

Beginning with HSM 7.1.6:
  • GPFS 3.5.0 or higher 3.5 levels
  • GPFS 4.1.1.1 or higher 4.1.1 levels
  • GPFS 4.2.0 or higher 4.2.0 levels
  • GPFS 4.2.1 or higher 4.2.1 levels

Note: When GPFS snapshots are used GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software

For Java GUI
  • Java: JRE 7
  • X Window System (X11).

Note: Beginning with HSM 7.1.2 the GUI is unsupported and not part of the package any more.

If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for the X Window System (X11) requirement.
Other Notes
  • On a GPFS cluster with AIX, Linux x86 or Linux zSeries nodes, use HSM only on one of these platforms to manage a shared file system. Do not use HSM on different platforms to manage a file system shared among these platforms.
  • GPFS 3.4 was supported with 7.1.0 but had to be withdrawn with 7.1.1 because of technical reasons (APAR IT12256).
  • GPFS SOBAR is supported, required GPFS level is 3.5. TL3 or higher.
  • GPFS AFM is supported beginning with HSM 7.1.3, required GPFS level is 4.1.1.1
  • Beginning with 4.1 GPFS is now called IBM Spectrum Scale

Version 6.4

Hardware
Operating/File System
Communication Protocol
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 10
  • SLES 11
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
Support is including all mod levels and fix packs of the operating systems listed above

One of the following:
  • GPFS 3.4.0.14 or higher or
  • GPFS 3.5


Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher or GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )



Note: On a GPFS cluster with Linux and AIX nodes, either install HSM on Linux nodes only or on AIX nodes only.
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software

For Java GUI
  • Java: JRE 6 or JRE 7
  • X Window System (X11).

If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for the X Window System (X11) requirement.
Other Notes
GPFS SOBAR is supported beginning with HSM 6.4.1, minimum GPFS level required is GPFS 3.5 TL 3.

Version 6.3

Hardware
Operating/File System
Communication Protocol
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 10
  • SLES 11
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
Support is including all mod levels and fix packs of the operating systems listed above

One of the following:
  • GPFS 3.4.0.14 or higher or
  • GPFS 3.5


Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher or GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )

Note: On a GPFS cluster with Linux and AIX nodes, either install HSM on Linux nodes only or on AIX nodes only.
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software:

For Java GUI
  • Java: JRE 6 or JRE 7
  • X Window System (X11).

If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for the X Window System (X11) requirement.

Version 6.2 is past End of support (EOS)

Hardware
Operating/File System
Communication Protocol
A X86 (IA32, X86-64) based system
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 10
  • SLES 11
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6 with HSM 6.2.2 or higher
Support is including all mod levels and fix packs of the operating systems listed above

One of the following:
  • GPFS 3.2.1.8 or higher
  • GPFS 3.3.0.3 or higher
  • GPFS 3.4.0.4 or higher
  • For Red Hat 6:
    GPFS 3.4.0.8 or higher
Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )



Note: On a GPFS cluster with Linux and AIX nodes, either install HSM on Linux nodes only or on AIX nodes only.
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software:

For Java GUI
  • Java: JRE 5 or JRE 6
  • X Window System (X11).

If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for the X Window System (X11) requirement.

Version 6.1 is past End of support (EOS)

Hardware
Operating/File System
Communication Protocol
A X86 (IA32, X86-64) based system
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 10
  • SLES 11 for HSM 6.1.3.0 or higher
  • Red Hat Enterprise Linux 5

Support is including all mod levels and fix packs of the operating systems listed above

One of the following:
  • GPFS 3.2.1.8 or higher
  • GPFS 3.3.0.3 or higher for HSM 6.1.3.0 or higher
Note: On a GPFS cluster with Linux and AIX nodes, either install HSM on Linux nodes only or on AIX nodes only.
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software:

For Java GUI
  • Java: JRE 5
  • X Window System (X11). If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for this requirement.

Version 5.5 is past End of support (EOS)

Hardware
Operating/File System
Communication Protocol
A X86 based PC architecture (such as Pentium) or later
  • 102 MB Disk space
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 9 and 10
  • Red Hat Enterprise Linux 4 and 5
Support is including all mod levels and fix packs of the operating systems listed above
  • GPFS 3.2.1.8 or higher, with RSCT 2.4.4.0 or higher
Note: On a GPFS cluster with Linux and AIX nodes, either install HSM on Linux nodes only or on AIX nodes only.
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 TSM server)
Additional Software:
For Java GUI:
  • Java: JRE 1.4.x (where x is 1 or higher), or JRE 5
  • X Window System (X11). If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for this requirement.

Document information

More support for: Tivoli Storage Manager for Space Management

Software version: 5.5, 6.1, 6.2, 6.3, 6.4, 7.1

Operating system(s): Linux

Reference #: 1248771

Modified date: 2016-09-22